org.apache.xmlgraphics.image.writer.imageio

## Class ImageIOPNGImageWriter

- java.lang.Object
- - org.apache.xmlgraphics.image.writer.imageio.ImageIOImageWriter
  - - org.apache.xmlgraphics.image.writer.imageio.ImageIOPNGImageWriter

- All Implemented Interfaces:
    java.util.EventListener, javax.imageio.event.IIOWriteWarningListener, ImageWriter

      public class ImageIOPNGImageWriter
      extends ImageIOImageWriter

  ImageWriter that encodes PNG images using Image I/O.
  Version:
    $Id$

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageIOPNGImageWriter()` Main constructor.

  - ### Method Summary

    - ### Methods inherited from class org.apache.xmlgraphics.image.writer.imageio.ImageIOImageWriter

      `createMultiImageWriter, createStreamMetadata, getChildNode, getDefaultWriteParam, getMIMEType, isFunctional, supportsMultiImageWriter, updateMetadata, warningOccurred, writeImage, writeImage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImageIOPNGImageWriter

          public ImageIOPNGImageWriter()

      Main constructor.

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.